import { Jsonified } from '@tangential/core';
import { ConfigurableInputType, ConfigurableInputTypeJson } from '../configurable-input-type';
import { TextIvalIF } from './text-ival';
export interface TextTypeIF extends ConfigurableInputTypeJson {
    maxLength?: number;
    minLength?: number;
    defaultValue?: string;
}
export declare class TextType extends ConfigurableInputType implements Jsonified<TextType, TextTypeIF>, TextTypeIF {
    static $model: TextTypeIF;
    static TYPE_NAME: string;
    maxLength: number;
    minLength: number;
    defaultValue: string;
    constructor(config?: TextTypeIF);
    getInputTypeKey(): string;
    isNumeric(): boolean;
    createValue(cfg?: TextIvalIF, key?: string): any;
}
