"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var number_type_1 = require("../../data-type/number/number-type");
var input_config_1 = require("../../input-config");
var defaultIconCount = 5;
var Model = {
    label: 'Rating',
    labelPosition: 'below',
    iconFont: 'material-icons',
    offIconNames: [
        'star_border'
    ],
    onIconNames: [
        'star'
    ],
    disabled: false,
    typeConfig: {
        _inputTypeKey: number_type_1.NumberType.TYPE_NAME,
        defaultValue: defaultIconCount - 1,
        min: 0,
        max: defaultIconCount,
        step: 1,
        decimalPlaces: 0,
    }
};
var demoConfig = Object.assign({}, Model);
var IconRatingWidgetConfig = (function (_super) {
    __extends(IconRatingWidgetConfig, _super);
    function IconRatingWidgetConfig(config, key) {
        var _this = _super.call(this, IconRatingWidgetConfig.INPUT_NAME, config || {}, key) || this;
        _this.typeConfig = new number_type_1.NumberType(_this.typeConfig);
        if (_this.typeConfig.max > 10) {
            _this.typeConfig.max = 10;
        }
        return _this;
    }
    IconRatingWidgetConfig.prototype.getDemoInstance = function () {
        return new IconRatingWidgetConfig(demoConfig);
    };
    return IconRatingWidgetConfig;
}(input_config_1.InputConfig));
IconRatingWidgetConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
IconRatingWidgetConfig.INPUT_NAME = 'IconRatingWidget';
exports.IconRatingWidgetConfig = IconRatingWidgetConfig;
input_config_1.InputConfig.register(IconRatingWidgetConfig);

//# sourceMappingURL=icon-rating-widget-config.js.map
