import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { NumberIval } from '../../data-type/number/number-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { NumberSpinnerConfig } from './number-spinner-config';
export declare class NumberSpinnerTemplateComponent implements OnInit, InputTemplateIF {
    private changeDetectorRef;
    config: NumberSpinnerConfig;
    ival: NumberIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
}
