"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var boolean_type_1 = require("../../data-type/boolean/boolean-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Slide Toggle',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: boolean_type_1.BooleanType.TYPE_NAME,
        defaultValue: false
    }
};
var demoConfig = {
    label: 'Slide Toggle',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: boolean_type_1.BooleanType.TYPE_NAME,
        defaultValue: false
    }
};
var SlideToggleConfig = (function (_super) {
    __extends(SlideToggleConfig, _super);
    function SlideToggleConfig(config, key) {
        var _this = _super.call(this, SlideToggleConfig.INPUT_NAME, config || {}, key) || this;
        _this.typeConfig = new boolean_type_1.BooleanType(_this.typeConfig);
        return _this;
    }
    SlideToggleConfig.prototype.getDemoInstance = function () {
        return new SlideToggleConfig(demoConfig);
    };
    return SlideToggleConfig;
}(input_config_1.InputConfig));
SlideToggleConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
SlideToggleConfig.INPUT_NAME = 'SlideToggle';
exports.SlideToggleConfig = SlideToggleConfig;
input_config_1.InputConfig.register(SlideToggleConfig);

//# sourceMappingURL=slide-toggle-widget-config.js.map
