import { Jsonified } from '@tangential/core';
import { BooleanType, BooleanTypeIF } from '../../data-type/boolean/boolean-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface SlideToggleConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after';
    disabled?: boolean;
    typeConfig?: BooleanTypeIF;
}
export declare class SlideToggleConfig extends InputConfig implements Jsonified<SlideToggleConfig, SlideToggleConfigIF>, SlideToggleConfigIF {
    static $model: SlideToggleConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after';
    disabled: boolean;
    typeConfig: BooleanType;
    constructor(config?: SlideToggleConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
